Skip to main content
`Ctrl`+`K`

# BVScatter

Scatters the columns of a `BV` to another `BV` created in a subcommunicator.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVScatter(BV Vin,BV Vout,VecScatter scat,Vec xdup)

Collective

## Input Parameters

- Vin - input basis vectors (defined on the whole communicator)

- scat - `VecScatter` object that contains the info for the communication

- xdup - an auxiliary vector

## Output Parameter

- Vout - output basis vectors (defined on the subcommunicator)

## Notes

Currently implemented as a loop for each active column, where each column is scattered independently. The vector `xdup` is defined on the contiguous parent communicator and should have enough space to store one duplicate of the original vector per each subcommunicator.

## See Also

BV: Basis Vectors, `BVGetColumn()`

## Level

developer

## Location

src/sys/classes/bv/interface/bvcontour.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages